/* Print the spins, couplings, bonds, or cluster labels */

#include "comext.h"
#include <stdio.h>

void print(spin,level)
short spin[IMAX][JMAX];
int level;
{
  int i,j, scale;

  printf("\n");
  scale = powerof2[level];
  for (j=jsiz/scale-1; j>=0; j--) {
     for (i=0; i<isiz/scale; i++) {
        if (J[i][j][1] > 0.0) printf("| ");
	else printf("  ");
     }
     printf("\n");
     for (i=0; i<isiz/scale; i++) {
        printf("%1d",spin[i][j]);
        if (J[i][j][0] > 0.0) printf("-");
        else printf(" ");
     }
     printf("\n");
  }
  printf("\n");
}

void printcluster(cluster,ibond,jbond,level)
int cluster[IMAX][JMAX];
short ibond[IMAX][JMAX];
short jbond[IMAX][JMAX];
int level;
{
  int i,j, scale;

  printf("\n");
  scale = powerof2[level];
  for (j=jsiz/scale-1; j>=0; j--) {
     for (i=0; i<isiz/scale; i++) {
        if (jbond[i][j]) printf("  |");
        else printf("   ");
	printf("  ");
     }
     printf("\n");
     for (i=0; i<isiz/scale; i++) {
        printf("%3d",cluster[i][j]);
	if (ibond[i][j]) printf(" -");
	else printf("  ");
     }
     printf("\n");
  }
  printf("\n");

}

void printbonds(ibond,jbond)
short ibond[IMAX][JMAX];
short jbond[IMAX][JMAX];
{
  int i,j, scale;

  printf("\n");
  for (j=jsiz-1; j>=0; j--) {
     for (i=0; i<isiz; i++) {
        if (jbond[i][j]) printf("  |");
        else printf("   ");
	printf("  ");
     }
     printf("\n");
     for (i=0; i<isiz; i++) {
        printf("%3d",spin[i][j]);
	if (ibond[i][j]) printf(" -");
	else printf("  ");
     }
     printf("\n");
  }
  printf("\n");

}
